table.insert(perk_list,
{
	id = "ET_GUNPOWDER_BLOOD",
	ui_name = "Liekkiö's Blood",
	ui_description = "Explosion resistance, but explosive blood!",
	ui_icon = "mods/enemy_traits/enemy_traits_files/sprites/perks/gunpowder_icon.png",
	perk_icon = "mods/enemy_traits/enemy_traits_files/sprites/perks/gunpowder_item.png",
	game_effect = "PROTECTION_EXPLOSION",
	func = function(entity_perk_item, entity_who_picked, item_name)
		local damagemodels = EntityGetComponent( entity_who_picked, "DamageModelComponent" )
		if( damagemodels ~= nil ) then
			for i,damagemodel in ipairs(damagemodels) do
				ComponentSetValue( damagemodel, "blood_material", "gunpowder_unstable" )
				ComponentSetValue( damagemodel, "blood_spray_material", "gunpowder_unstable" )
				ComponentSetValue( damagemodel, "blood_multiplier", "1.2" )
				ComponentSetValue( damagemodel, "blood_sprite_directional", "data/particles/bloodsplatters/bloodsplatter_directional_orange_$[1-3].xml" )
				ComponentSetValue( damagemodel, "blood_sprite_large", "data/particles/bloodsplatters/bloodsplatter_orange_$[1-3].xml" )
			end
		end
		
		--[[
		EntityAddComponent(entity_who_picked, "ParticleEmitterComponent",
		{ 
			["emitted_material_name"] = "fire",
			["count_min"] = "4",
			["count_max"] = "14",
			["offset.x"] = "0",
			["offset.y"] = "1",
			["x_pos_offset_min"] = "-6",
			["y_pos_offset_min"] = "-10",
			["x_pos_offset_max"] = "6",
			["y_pos_offset_max"] = "4",
			["x_vel_min"] = "-10",
			["x_vel_max"] = "10",
			["y_vel_min"] = "-10",
			["y_vel_max"] = "10",
			["count_min"] = "5",
			["count_max"] = "5",
			["lifetime_min"] = "0.4",
			["lifetime_max"] = "1.0",
			["create_real_particles"] = "1",
			["emit_cosmetic_particles"] = "0",
			["emission_interval_min_frames"] = "2",
			["emission_interval_max_frames"] = "3",
			["is_emitting"] = "1"
		})
		
		EntityAddComponent(entity_who_picked, "ParticleEmitterComponent",
		{
			["emitted_material_name"] = "fire",
			["custom_style"] = "FIRE",
			["count_min"] = "4",
			["count_max"] = "14",
			["offset.x"] = "0",
			["offset.y"] = "1",
			["x_pos_offset_min"] = "-6",
			["y_pos_offset_min"] = "-10",
			["x_pos_offset_max"] = "6",
			["y_pos_offset_max"] = "4",
			["x_vel_min"] = "-10",
			["x_vel_max"] = "10",
			["y_vel_min"] = "-10",
			["y_vel_max"] = "10",
			["count_min"] = "5",
			["count_max"] = "5",
			["lifetime_min"] = "0.4",
			["lifetime_max"] = "1.0",
			["create_real_particles"] = "1",
			["emit_cosmetic_particles"] = "0",
			["emission_interval_min_frames"] = "1",
			["emission_interval_max_frames"] = "2",
			["is_emitting"] = "1"
		})
		]]--
	end,
})
