table.insert(perk_list,
{
	id = "ET_WAND",
	ui_name = "Stevari's Staff",
	ui_description = "Gain a powerful protective staff!",
	ui_icon = "mods/enemy_traits/enemy_traits_files/sprites/perks/staff_icon.png",
	perk_icon = "mods/enemy_traits/enemy_traits_files/sprites/perks/staff_item.png",
	func = function(entity_perk_item, entity_who_picked, item_name)
		local x, y = EntityGetTransform(entity_who_picked)
		local entity = EntityLoad("mods/enemy_traits/enemy_traits_files/entities/staff.xml", x, y)
		EntityAddChild(entity_who_picked, entity)
		EntityAddComponent(entity, "VariableStorageComponent", { name = "ally_id", value_int = tostring(entity_who_picked) })
		GlobalsSetValue("ET_WANDGIVEN", "TRUE")
	end,
})
