-- Explicitly specify entity and tags
function untag(entity, tags)
	assert(type(tags) == "table", "Must specify table of tags")
	for _, tag in pairs(tags) do
		EntityRemoveTag(entity, tag)
	end
end

-- Entity is implied
function untag_impl(tags)
	untag(GetUpdatedEntityID(), tags)
end
