-- This is the Config file for the Enemy Traits mod, where you can toggle on/off individual perks, spells and other behaviour.
-- To disable a perk/spell, set the part of the line that says '= true,' to say '= false,'.
-- To enable it again, set the part of the line that says '= false,' to say '= true,'.
-- Make the sure comma and equals signs stay as they are, or things will break.

ET_CONFIG = {
	-- Kiukkukalma's Spirit
	radialshot			= true,
	
	-- Spiraalikalma's Spirit
	spiralshot			= true,
	
	-- Hahmonvaihtaja's Guidance
	pathfinding			= true,
	
	-- Hahmonvaihtaja's Curse
	polybomb			= true,
	
	-- Korjausdrone's Benevolence
	healdrone			= true,
	
	-- Heinäsirkka's Munitions
	rocket_tiny			= true,
	
	-- Heinäsirkka's Munitions with Timer
	rocket_tiny_timer	= true,
	
	-- Toukka's Spit
	slimetrail			= true,
	
	-- Snipuhiisi's Sight
	lasersight			= true,
	
	-- Toggle for Matkija's Gift and Stevari's Staff dropping from Mimics and Stevaris, respectively.
	loot_checks			= true,
	
	-- Matkija's Gift
	mimic				= true,
	
	-- Liekkiö's Blood
	bleed_gunpowder		= true,
	
	-- Hohtava hyypiö's Retribution
	wraith_retaliation	= true,
	
	-- Heinäsirkka's Legs
	spiderlegs			= true,
	
	-- Stevari's Staff
	wand_ally			= true,
	
	-- Kirottu kristalli's Curse
	crystal_minions		= true,
	
	-- Sokaisunmestari's Curse
	-- Currently bugged and unimplemented, setting this to true will not enable the spell.
	blindshot			= false,
}
