dofile_once("mods/enemy_traits/enemy_traits_files/scripts/entity_untargeter.lua")

local entity = GetUpdatedEntityID()
local parent = EntityGetParent(entity)

-- untarget_all(parent, false)

untarget_by_func(parent, function(target, component) ComponentSetValue(component, "mGreatestThreat", "0") return true end, false)

-- local components = EntityGetComponent(parent, "AnimalAIComponent")

if false and type(components) == "table" then
	for _, component in pairs(components) do
		-- Known valid AI states: 0 to 21
		-- (Where 'valid' just means doesn't instantly crash the game)
		-- <Anything less than 0 instantly crashes the game>
		-- 0: Similar to 9, but doesn't loop any animation.
		-- 1: Randomly wanders, or stays still. Idling?
		-- 2: Constantly moves either left or right, with strong bias to move right?
		-- 3: Similar to 9, but loops some other animation instead?
		-- 4: Similar to 9, but loops eating(?) animation instead of attack animation?
		-- 5: Dashes around a bunch, sometimes loops first few frames of jump animation? After dashing for a bit, behaves like 9, but loops jump animation? instead of attack animation.
		-- 6: Similar to 8, but doesn't drop particles and sometimes constantly moves to the left/right?
		-- 7: Similar to 8, but sometimes urinates.
		-- 8: Similar to 9, but doesn't play odd animations. Sometimes drops some particles?
		-- 9: Stays still in current location and loops first few frames of attack animation? If flying, behaves like 19/20, but never moves (Like 21 when in-location).
		-- 10: Stays still in current location and does nothing. Flying enemies drop out of the sky and sit on the ground. If physics-based, sits in place and doesn't stop flying.
		-- 11: Similar to 12, with a bias to enter the closest pool of liquid. (Used when on fire)
		-- 12: Shuffles about, randomly moving around with a bias to move to the left? (Used when on fire)
		-- 13: Stays still in current location and performs melee attacks. If doesn't have melee attacks, behaves like 19?
		-- 14: Stays still in current location and deals contact damage every frame. If can fly, may rapidly dash at player.
		-- 15: Stays still in current location and performs ranged attacks. If doesn't have ranged attack and can't fly, does nothing and looks at player. If doesn't have ranged attack and can fly, fires acid balls.
		-- 16: Similar to 19, also moves right occasionally?
		-- 17: Similar to 19.
		-- 18: Moves around a bit but doesn't wander from current location. Faces towards player.
		-- 19: Stay still in current location or move left, sometimes attacks? (if kicked?) Similar to 20?
		-- 20: Stay still in current location, sometimes constantly moves to the left/some direction?
		-- 21: Goes to and stays in a single nearby location?
		-- <Anything beyond 21 instantly crashes the game>
		-- ComponentSetValue(component, "ai_state", "1")
	end
end
