local do_money_drop_old = do_money_drop

dofile_once("data/scripts/perks/perk.lua")

function do_money_drop( amount_multiplier )
	local entity = GetUpdatedEntityID()
	local entity_name = EntityGetName(entity)
	local x, y = EntityGetTransform(entity)
	
	local no_gold_drop = false
	edit_component_with_tag( entity, "VariableStorageComponent", "no_gold_drop", function(comp,vars) no_gold_drop = true end )
	
	if no_gold_drop then
		print("[ET] ENTITY NO GOLD DROP: " .. entity_name)
		return
	end
	
	print("[ET] ENTITY DROP GOLD: " .. entity_name)
	
	if entity_name == "$animal_chest_mimic" then
		if GlobalsGetValue("ET_BETTERCHESTS") == "TRUE" then
			dofile_once("data/scripts/items/chest_random_super.lua")
			on_open(entity)
		else
			perk_spawn(x, y, "ET_MIMIC")
		end
	end
	
	-- Shopkeeper and purple skullface both have the same Name
	if entity_name == "$animal_necromancer" and not EntityHasTag(entity, "polymorphable_NOT") then
		if GlobalsGetValue("ET_WANDGIVEN") ~= "TRUE" then
			perk_spawn(x, y, "ET_WAND")
			GlobalsSetValue("ET_WANDGIVEN", "TRUE")
		end
	end
	
	do_money_drop_old(amount_multiplier)
end
