function particle_line(material_name, from_x, from_y, to_x, to_y, how_many, xvel, yvel, just_visual, step_size)
	local x_dist, y_dist = to_x - from_x, to_y - from_y
	local distance = math.sqrt(x_dist^2 + y_dist^2)
	x_dist, y_dist = x_dist / distance * step_size, y_dist / distance * step_size
	local step_count = distance / step_size
	local x, y = from_x, from_y
	
	for i = 0, step_count do
		GameCreateParticle(material_name, x, y, how_many, xvel, yvel, just_visual)
		x, y = x + x_dist, y + y_dist
	end
end
