dofile_once( "data/scripts/lib/utilities.lua" )

local entity_id = GetUpdatedEntityID()
local x, y, rotation, scale_x, scale_y = EntityGetTransform(entity_id)
local velocity_x, velocity_y = 0, 0

edit_component( entity_id, "VelocityComponent", function(comp,vars)
	velocity_x, velocity_y = ComponentGetValueVector2( comp, "mVelocity", velocity_x, velocity_y)
end)

-- print("PATHFINDING: ", x, y, rotation, velocity_x, velocity_y, scale_x, scale_y)

rotation = math.atan2(velocity_y, velocity_x)

EntitySetTransform(entity_id, x, y, rotation, scale_x, scale_y)
