dofile_once("data/scripts/lib/utilities.lua")
dofile_once("mods/enemy_traits/enemy_traits_files/scripts/entity_untargeter.lua")

local entity = GetUpdatedEntityID()
local parent = EntityGetParent(entity)

local entity_x, entity_y, rotation, scale_x, scale_y = EntityGetTransform(entity)
local parent_x, parent_y = EntityGetTransform(parent)

local distance = get_distance(entity_x, entity_y, parent_x, parent_y)

local diff_x = parent_x - entity_x
local diff_y = parent_y - entity_y

local angle = diff_x

local scalar = distance > 150 and 0.94 or 0.06

diff_x = diff_x * scalar
diff_y = diff_y * scalar

if angle > 90 then
	angle = 90
elseif angle < -90 then
	angle = -90
end

entity_x = entity_x + diff_x
entity_y = entity_y + diff_y

EntitySetTransform(entity, entity_x, entity_y, math.rad(angle), scale_x, scale_y)
